## netperfmeter 1.8.0

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.6)
PROJECT(netperfmeter)

set(BUILD_MAJOR "1")
set(BUILD_MINOR "8")
set(BUILD_PATCH "0")
set(BUILD_VERSION ${BUILD_MAJOR}.${BUILD_MINOR}.${BUILD_PATCH})


#############################################################################
# INSTALLATION_DIRECTORIES
#############################################################################

SET(CMAKE_INSTALL_BINDIR        "bin"       CACHE PATH "user executables [PREFIX/bin]")
SET(CMAKE_INSTALL_SBINDIR       "sbin"      CACHE PATH "system admin executables [EPREFIX/sbin]")
SET(CMAKE_INSTALL_DATADIR       "share"     CACHE PATH "read-only architecture-independent data [PREFIX/share]")
SET(CMAKE_INSTALL_SYSCONFDIR    "etc"       CACHE PATH "read-only single-machine data [PREFIX/etc]")
SET(CMAKE_INSTALL_LOCALSTATEDIR "var"       CACHE PATH "modifiable single-machine data [PREFIX/var]")
SET(CMAKE_INSTALL_LIBDIR        "lib"       CACHE PATH "object code libraries [PREFIX/lib]")
SET(CMAKE_INSTALL_INCLUDEDIR    "include"   CACHE PATH "read-only includes [PREFIX/include]")
SET(CMAKE_INSTALL_MANDIR        "share/man" CACHE PATH "man documentation [PREFIX/share/man]")


#############################################################################
# PACKAGING
#############################################################################

SET(CPACK_SOURCE_GENERATOR "TGZ")
SET(CPACK_SOURCE_PACKAGE_FILE_NAME
   "${CMAKE_PROJECT_NAME}-${BUILD_MAJOR}.${BUILD_MINOR}.${BUILD_PATCH}")
SET(CPACK_SOURCE_IGNORE_FILES
   "${PROJECT_SOURCE_DIR}/${CMAKE_PROJECT_NAME}-*;${PROJECT_SOURCE_DIR}/${CMAKE_PROJECT_NAME}_*;/build/;/.git/;/config.log;/CMakeFiles/;CMakeCache.txt$;.cmake$;.tar.gz$;/_CPack_Packages;/Makefile$;~$;/build-deb;/clean-deb;/filter-empty-entries;/make-symbols;/make-ppa;/make-deb;/debian.conf;/make-rpm;/rpm.conf;${CPACK_SOURCE_IGNORE_FILES}")
INCLUDE(CPack)

ADD_CUSTOM_TARGET(dist COMMAND ${CMAKE_MAKE_PROGRAM} clean package_source)


INCLUDE(CheckIncludeFile)
INCLUDE(CheckStructHasMember)


#############################################################################
# OS DEPENDENT
#############################################################################

IF (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
    MESSAGE(STATUS ${CMAKE_SYSTEM_NAME} " supported")
    ADD_DEFINITIONS("-D_DEFAULT_SOURCE -DLINUX")
    ADD_DEFINITIONS("-DHAVE_MPTCP")   # Any better solution for this?
    FIND_LIBRARY(SCTP_LIB sctp)

ELSEIF (${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD")
    MESSAGE(STATUS ${CMAKE_SYSTEM_NAME} " supported")
    SET(CMAKE_REQUIRED_INCLUDES "/usr/local/include" "/usr/include")
    SET(CMAKE_LIBRARY_PATH "/usr/local/lib")
    INCLUDE_DIRECTORIES("/usr/local/include")
    ADD_DEFINITIONS("-DFreeBSD")

ELSEIF (${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
    MESSAGE(STATUS ${CMAKE_SYSTEM_NAME} " supported")
    SET(CMAKE_REQUIRED_INCLUDES "/usr/local/include" "/usr/include" "/usr/local/opt/openssl/include")
    SET(CMAKE_LIBRARY_PATH "/usr/local/lib")
    INCLUDE_DIRECTORIES("/usr/local/include" "/usr/local/opt/openssl/include")
    ADD_DEFINITIONS("-DDARWIN")

ELSEIF (${CMAKE_SYSTEM_NAME} MATCHES "NetBSD")
    MESSAGE(STATUS ${CMAKE_SYSTEM_NAME} " supported")
    LIST(APPEND neat_headers neat_bsd.h)
    LIST(APPEND neat_sources neat_bsd.c)
    SET(CMAKE_REQUIRED_INCLUDES "/usr/pkg/include" "/usr/include" "/usr/local/include")
    SET(CMAKE_LIBRARY_PATH "/usr/local/lib")
    INCLUDE_DIRECTORIES("/usr/pkg/include" "/usr/local/include")
    ADD_DEFINITIONS("-DNetBSD")

ELSEIF (${CMAKE_SYSTEM_NAME} MATCHES "NetBSD")
    MESSAGE(STATUS ${CMAKE_SYSTEM_NAME} " supported")
    ADD_DEFINITIONS("-DSOLARIS")

ELSE()
    MESSAGE(FATAL_ERROR ${CMAKE_SYSTEM_NAME} " not supported (yet?)")

ENDIF()


#############################################################################
# CHECK STRUCT MEMBERS
#############################################################################

CHECK_STRUCT_HAS_MEMBER("struct sockaddr" "sa_len" "sys/types.h;sys/socket.h" HAVE_SA_LEN)
IF (HAVE_SA_LEN)
    MESSAGE(STATUS "HAVE_SA_LEN")
    ADD_DEFINITIONS(-DHAVE_SA_LEN)
ENDIF()

CHECK_STRUCT_HAS_MEMBER("struct sockaddr_in" "sin_len" "sys/types.h;netinet/in.h" HAVE_SIN_LEN)
IF (HAVE_SIN_LEN)
    MESSAGE(STATUS "HAVE_SIN_LEN")
    ADD_DEFINITIONS(-DHAVE_SIN_LEN)
ENDIF()

CHECK_STRUCT_HAS_MEMBER("struct sockaddr_in6" "sin6_len" "sys/types.h;netinet/in.h" HAVE_SIN6_LEN)
IF (HAVE_SIN6_LEN)
    MESSAGE(STATUS "HAVE_SIN6_LEN")
    ADD_DEFINITIONS(-DHAVE_SIN6_LEN)
ENDIF()

CHECK_STRUCT_HAS_MEMBER("struct sockaddr_storage" "ss_len" "sys/types.h;sys/socket.h" HAVE_SS_LEN)
IF (HAVE_SS_LEN)
    MESSAGE(STATUS "HAVE_SS_LEN")
    ADD_DEFINITIONS(-DHAVE_SS_LEN)
ENDIF()


#############################################################################
# CHECK OPTIONS
#############################################################################

OPTION(BUILD_TEST_PROGRAMS "Build test programs" 0)
OPTION(BUILD_PLOT_PROGRAMS "Build plot programs" 0)

# Debug build type as default
IF (NOT CMAKE_BUILD_TYPE)
    MESSAGE(STATUS "No build type selected, using DEBUG")
    SET(CMAKE_BUILD_TYPE "DEBUG")
    # _FORTIFY_SOURCE requires compiling with optimization
    SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -O")
ENDIF()


#############################################################################
# REQUIREMENTS
#############################################################################

# ###### Threads ############################################################
FIND_PACKAGE(Threads REQUIRED)


# ###### SCTP ###############################################################
OPTION(USE_KERNEL_SCTP "Use Kernel SCTP" 1)
IF (USE_KERNEL_SCTP)
   # ====== Kernel SCTP =====================================================
   CHECK_INCLUDE_FILE(netinet/sctp.h HAVE_NETINET_SCTP_H)
   IF (HAVE_NETINET_SCTP_H)
      SET(SCTP_INCLUDE "netinet/sctp.h")
      ADD_DEFINITIONS(-DHAVE_KERNEL_SCTP -DHAVE_NETINET_SCTP_H)
   ENDIF()

ELSE()
   # ====== SCTPLIB User-Space SCTP =========================================
   CHECK_INCLUDE_FILE(sctp.h HAVE_SCTPLIB_SCTP_H)
   FIND_LIBRARY(SCTPLIB_LIB sctplib)
   MESSAGE(STATUS "sctplib found: ${SCTPLIB_LIB}")
   IF (NOT HAVE_SCTPLIB_SCTP_H OR NOT SCTPLIB_LIB)
      MESSAGE(FATAL_ERROR "sctplib not found - libsctplib installed?")
   ENDIF()

   CHECK_INCLUDE_FILE(sctp.h HAVE_SCTPSOCKET_SCTP_H)
   FIND_LIBRARY(SCTPSOCKET_LIB sctpsocket)
   MESSAGE(STATUS "sctpsocket found: ${SCTPSOCKET_LIB}")
   IF (NOT HAVE_SCTPSOCKET_SCTP_H OR NOT SCTPSOCKET_LIB)
      MESSAGE(FATAL_ERROR "sctpsocket not found - libsctpsocket installed?")
   ENDIF()

   FIND_PACKAGE(PkgConfig)
   PKG_CHECK_MODULES(GLIB glib-2.0)
   IF (NOT ${GLIB_LIBS})
      MESSAGE(FATAL_ERROR "glib not found - glib-2.0 installed?")
   ENDIF()

   SET(SCTP_LIB ${SCTPSOCKET_LIB} ${SCTPLIB_LIB} ${GLIB_LIBRARIES})
ENDIF()


# ###### NEAT ###############################################################
OPTION(WITH_NEAT "Include NEAT support" 0)
IF (WITH_NEAT)
   CHECK_INCLUDE_FILE(neat-socketapi.h HAVE_NEAT_SOCKETAPI_H)
   FIND_LIBRARY(NEAT_SOCKETAPI_LIB neat-socketapi)
   MESSAGE(STATUS "neat-socketapi found: ${NEAT_SOCKETAPI_LIB}")
   IF (NOT HAVE_NEAT_SOCKETAPI_H OR NOT NEAT_SOCKETAPI_LIB)
      MESSAGE(FATAL_ERROR "neat-socketapi not found - neat-socketapi installed?")
   ENDIF()
ENDIF()


# ###### BZip2 ##############################################################
find_package(BZip2 REQUIRED)


# ###### IEEE Floating-Point ################################################
include(CheckCSourceRuns)
check_c_source_runs("
#include <stdio.h>

union DoubleIntUnion
{
   double             Double;
   unsigned long long Integer;
};

int main (int argc, char** argv)
{
   union DoubleIntUnion value;

   value.Double = 0.0;
   if(value.Integer != 0ULL) {
      return(1);
   }
   value.Double = 1000.5;
   if(value.Integer != 0x408f440000000000ULL) {
      return(1);
   }
   value.Double = -1000.5;
   if(value.Integer != 0xc08f440000000000ULL) {
      return(1);
   }

   return(0);
}"
USES_IEEEFP_FP)

IF (USES_IEEEFP_FP)
   ADD_DEFINITIONS(-DHAVE_IEEE_FP)
ENDIF()


#############################################################################
# COMPILER FLAGS
#############################################################################

SET(CMAKE_C_FLAGS   "${CMAKE_C_FLAGS}   -Wall -Wno-unused-function -Wno-unused-parameter -Wno-overlength-strings -Wno-array-bounds")
SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wno-unused-function -Wno-unused-parameter -Wno-overlength-strings -Wno-array-bounds")

IF (CMAKE_BUILD_TYPE MATCHES DEBUG)
    MESSAGE(STATUS "Building in DEBUG mode")
    # _FORTIFY_SOURCE requires compiling with optimization
    SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -O")
ENDIF()


#############################################################################
# SUBDIRECTORIES
#############################################################################

ADD_SUBDIRECTORY(src)

=== src/CMakeLists.txt ===
SET(CMAKE_INCLUDE_CURRENT_DIR ON)

#############################################################################
# PROGRAMS
#############################################################################

ADD_EXECUTABLE(netperfmeter
netperfmeter.cc ext_socket.h netperfmeterpackets.h thread.cc thread.h mutex.cc mutex.h tools.h tools.cc messagereader.h messagereader.cc control.h control.cc transfer.h transfer.cc outputfile.h outputfile.cc flowtrafficspec.h flowtrafficspec.cc flowbandwidthstats.h flowbandwidthstats.cc flow.h flow.cc cpustatus.h cpustatus.cc measurement.h measurement.cc defragmenter.h defragmenter.cc)
TARGET_LINK_LIBRARIES(netperfmeter ${BZIP2_LIBRARIES} ${SCTP_LIB} "${CMAKE_THREAD_LIBS_INIT}")
INSTALL(TARGETS netperfmeter RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
INSTALL(FILES netperfmeter.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)

ADD_EXECUTABLE(createsummary
createsummary.cc inputfile.h inputfile.cc outputfile.h outputfile.cc debug.h redblacktree.h redblacktree_impl.h simpleredblacktree.h simpleredblacktree.c)
TARGET_LINK_LIBRARIES(createsummary ${BZIP2_LIBRARIES} "${CMAKE_THREAD_LIBS_INIT}")
INSTALL(TARGETS createsummary RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
INSTALL(FILES createsummary.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)

ADD_EXECUTABLE(combinesummaries
combinesummaries.cc inputfile.h inputfile.cc outputfile.h outputfile.cc)
TARGET_LINK_LIBRARIES(combinesummaries ${BZIP2_LIBRARIES} "${CMAKE_THREAD_LIBS_INIT}")
INSTALL(TARGETS combinesummaries RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
INSTALL(FILES combinesummaries.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)

ADD_EXECUTABLE(extractvectors
extractvectors.cc inputfile.h inputfile.cc outputfile.h outputfile.cc)
TARGET_LINK_LIBRARIES(extractvectors ${BZIP2_LIBRARIES} "${CMAKE_THREAD_LIBS_INIT}")
INSTALL(TARGETS extractvectors RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
INSTALL(FILES extractvectors.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)

ADD_EXECUTABLE(runtimeestimator
runtimeestimator.cc)
TARGET_LINK_LIBRARIES(runtimeestimator)
INSTALL(TARGETS runtimeestimator RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
INSTALL(FILES runtimeestimator.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)

ADD_EXECUTABLE(getabstime
getabstime.cc)
TARGET_LINK_LIBRARIES(getabstime)
INSTALL(TARGETS getabstime RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
INSTALL(FILES getabstime.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)


IF (BUILD_PLOT_PROGRAMS)
   INSTALL(FILES plot-netperfmeter-results pdfmetadata pdfembedfonts
           DESTINATION ${CMAKE_INSTALL_BINDIR})
   INSTALL(FILES plotter.R plot-netperfmeter-results.R
           DESTINATION ${CMAKE_INSTALL_DATADIR}/netperfmeter)
   INSTALL(FILES plot-netperfmeter-results.1 pdfmetadata.1 pdfembedfonts.1
           DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
ENDIF()

IF (BUILD_TEST_PROGRAMS)
   ADD_EXECUTABLE(rootshell rootshell.c)
   TARGET_LINK_LIBRARIES(rootshell)
ENDIF()

## netperfmeter 1.0.3

=== debian/changelog ===
netperfmeter (1.0.3-3) unstable; urgency=low

  * Removed recommended package not being available in Debian.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Fri, 02 Jul 2010 14:46:18 +0200

netperfmeter (1.0.3-2) unstable; urgency=low

  * Closes Debian ITP bug with wnpp (Closes: #546738).
  * Initial Ubuntu package (LP: #430012).
  * Switch to dpkg-source 3.0 (quilt) format

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Sun, 27 Jun 2010 12:27:40 +0200

=== debian/control ===
Source: netperfmeter
Section: net
Priority: optional
Maintainer: Thomas Dreibholz <dreibh@iem.uni-due.de>
Homepage: http://www.iem.uni-due.de/~dreibh/netperfmeter/
Build-Depends: debhelper (>= 7.0.50~), autotools-dev, libsctp-dev (>= 1.0.5), libbz2-dev (>= 1.0)
Standards-Version: 3.8.4

Package: netperfmeter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: netmeter (<= 0.5.1)
Conflicts: netmeter (<= 0.5.1)
Recommends: traceroute, iputils-tracepath, iputils-ping, subnetcalc (>= 2.0.2)
Description: Network Performance Meter
 NetPerfMeter is a network performance meter for the UDP,
 TCP, SCTP and DCCP transport protocols over IPv4 and IPv6.
 It simultaneously transmits bidirectional flows to an endpoint
 and measures the resulting flow bandwidths and QoS. The
 results are written as vector and scalar files. The vector
 files can e.g. be used to create plots of the results.

## netperfmeter 1.0.4

=== debian/changelog ===
netperfmeter (1.0.4-1) unstable; urgency=low

  * New upstream version.
  * Removed "conflict" and "replaces" to netmeter (old name of
    netperfmeter).

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Wed, 21 Jul 2010 15:22:22 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,11 @@
 Maintainer: Thomas Dreibholz <dreibh@iem.uni-due.de>
 Homepage: http://www.iem.uni-due.de/~dreibh/netperfmeter/
 Build-Depends: debhelper (>= 7.0.50~), autotools-dev, libsctp-dev (>= 1.0.5), libbz2-dev (>= 1.0)
-Standards-Version: 3.8.4
+Standards-Version: 3.9.0
 
 Package: netperfmeter
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: netmeter (<= 0.5.1)
-Conflicts: netmeter (<= 0.5.1)
 Recommends: traceroute, iputils-tracepath, iputils-ping, subnetcalc (>= 2.0.2)
 Description: Network Performance Meter
  NetPerfMeter is a network performance meter for the UDP,

## netperfmeter 1.1.7

=== debian/changelog ===
netperfmeter (1.1.7-1.1ubuntu1) quantal; urgency=low

  * Fix FTBFS because of missing #include.

 -- Ilya Barygin <randomaction@ubuntu.com>  Tue, 19 Jun 2012 22:21:13 +0400

netperfmeter (1.1.7-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "ftbfs with GCC-4.7": add patch gcc-4.7.patch (missing includes).
    (Closes: #667295)

 -- gregor herrmann <gregoa@debian.org>  Thu, 10 May 2012 23:55:03 +0200

netperfmeter (1.1.7-1) unstable; urgency=low

  * New upstream version.
  * Changed package format to 3.0 (quilt).

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Sat, 12 Feb 2011 11:11:11 +0200

netperfmeter (1.1.0-1) maverick; urgency=low

  * New upstream version.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Fri, 03 Dec 2010 12:12:12 +0200

netperfmeter (1.0.4-1) maverick; urgency=low

  * New upstream version.
  * Removed "conflict" and "replaces" to netmeter (old name of
    netperfmeter).

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Wed, 21 Jul 2010 15:22:22 +0200

netperfmeter (1.0.3-3) maverick; urgency=low

  * Removed recommended package not being available in Debian.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Fri, 02 Jul 2010 14:46:18 +0200

netperfmeter (1.0.3-2) maverick; urgency=low

  * Closes Debian ITP bug with wnpp (Closes: #546738).
  * Switch to dpkg-source 3.0 (quilt) format

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Sun, 27 Jun 2010 12:27:40 +0200

=== debian/control ===
Source: netperfmeter
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Thomas Dreibholz <dreibh@iem.uni-due.de>
Homepage: http://www.iem.uni-due.de/~dreibh/netperfmeter/
Build-Depends: autotools-dev,
               debhelper (>= 7.0.50~),
               libbz2-dev (>= 1.0),
               libsctp-dev (>= 1.0.5)
Standards-Version: 3.9.1

Package: netperfmeter
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: iputils-ping,
            iputils-tracepath,
            subnetcalc (>= 2.0.2),
            traceroute
Description: Network Performance Meter
 NetPerfMeter is a network performance meter for the UDP,
 TCP, SCTP and DCCP transport protocols over IPv4 and IPv6.
 It simultaneously transmits bidirectional flows to an endpoint
 and measures the resulting flow bandwidths and QoS. The
 results are written as vector and scalar files. The vector
 files can e.g. be used to create plots of the results.

## netperfmeter 1.2.3

=== debian/changelog ===
netperfmeter (1.2.3-1ubuntu2) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:36:27 +0000

netperfmeter (1.2.3-1ubuntu1) utopic; urgency=medium

  * Use autotools-dev to update config.{sub,guess} for new arches.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 28 Sep 2014 13:23:15 -0400

netperfmeter (1.2.3-1) unstable; urgency=low

  * New upstream version.
  * Removed gcc-4.7 patch, since changes are included upstream now.
  * debian/control: update for debhelper 9.
  * debian/control: added libglib2.0-dev build dependency.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Sun, 01 Jul 2012 22:22:22 +0800

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,11 @@
 XSBC-Original-Maintainer: Thomas Dreibholz <dreibh@iem.uni-due.de>
 Homepage: http://www.iem.uni-due.de/~dreibh/netperfmeter/
 Build-Depends: autotools-dev,
-               debhelper (>= 7.0.50~),
+               debhelper (>= 9),
                libbz2-dev (>= 1.0),
+               libglib2.0-dev (>= 2.0.0),
                libsctp-dev (>= 1.0.5)
-Standards-Version: 3.9.1
+Standards-Version: 3.9.3
 
 Package: netperfmeter
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autotools_dev

# Use upstream ChangeLog for installation
override_dh_installchangelogs:
	dh_installchangelogs -k ChangeLog

## netperfmeter 1.8.0

=== debian/changelog ===
netperfmeter (1.8.0-1) unstable; urgency=low

  * New upstream version.
  * debian/control: updated standards version.
  * debian/copyright: updated.
  * debian/upstream/metadata: added metadata file.
  * debian/tests/control: added tests control file.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Wed, 17 Oct 2018 08:08:08 +0200

netperfmeter (1.7.7-1) xenial; urgency=low

  * New upstream version.
  * debian/control: updated standards version.
  * debian/copyright: updated.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Wed, 06 Jun 2018 08:08:08 +0200

netperfmeter (1.7.6-1) xenial; urgency=low

  * New upstream version.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Sun, 29 Oct 2017 08:08:08 +0200

netperfmeter (1.7.5-1) xenial; urgency=low

  * New upstream version.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Fri, 25 Aug 2017 08:08:08 +0200

netperfmeter (1.7.4-1) xenial; urgency=low

  * New upstream version.
  * debian/watch: URL update
  * debian/control: URL update

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Wed, 09 Aug 2017 08:08:08 +0200

netperfmeter (1.7.3-1) xenial; urgency=low

  * New upstream version.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Tue, 08 Aug 2017 08:08:08 +0200

netperfmeter (1.7.2-1) xenial; urgency=low

  * New upstream version.
  * debian/watch: fixed URL.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Mon, 07 Aug 2017 08:08:08 +0200

netperfmeter (1.7.1-1) xenial; urgency=low

  * New upstream version.
  * debian/rules: autoconf/automake -> cmake
  * debian/control: autoconf/automake -> cmake

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Mon, 07 Aug 2017 08:08:08 +0200

netperfmeter (1.7.0-1) zesty; urgency=low

  * New upstream version.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Thu, 20 Apr 2017 08:08:08 +0200

netperfmeter (1.6.1-1) zesty; urgency=low

  * New upstream version.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Fri, 04 Nov 2016 08:08:08 +0200

netperfmeter (1.6.0-1) yakkety; urgency=low

  * New upstream version.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Wed, 17 Aug 2016 08:08:08 +0200

netperfmeter (1.5.6-1) yakkety; urgency=low

  * New upstream version.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Fri, 29 Apr 2016 08:08:08 +0200

netperfmeter (1.5.5-1) wily; urgency=low

  * New upstream version.
  * debian/control: Updated standards version.
  * debian/control: added dependency dpkg-dev for hardening options.
  * debian/copyright: fix for machine-readable format.
  * debian/rules: using buildflags.mk for hardening options.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Mon, 04 Apr 2016 08:08:08 +0200

netperfmeter (1.5.4-1) vivid; urgency=low

  * New upstream version.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Mon, 11 May 2015 08:08:08 +0200

netperfmeter (1.5.3-1) vivid; urgency=low

  * New upstream version.
  * debian/copyright: changed to machine-readable format.
  * debian/control: updated standards version.
  * debian/watch: added pgpsigurlmangle option.
  * debian/upstream/signing-key.asc: added upstream public key.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Sun, 01 Mar 2015 08:08:08 +0200

netperfmeter (1.5.2-1) vivid; urgency=low

  * New upstream version.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Thu, 05 Feb 2015 08:08:08 +0200

netperfmeter (1.5.0-1) utopic; urgency=low

  * New upstream version.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Fri, 14 Nov 2014 08:08:08 +0200

netperfmeter (1.4.0-1) utopic; urgency=low

  * New upstream version.
  * debian/control: Added libfile-fcntllock-perl to get rid of
                    warning on NFS-safe locks.
  * debian/control: Added bc as dependency.
                    Updated standards version.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Mon, 28 Jul 2014 08:08:08 +0200

netperfmeter (1.3.0-1) quantal; urgency=low

  * New upstream version.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Fri, 21 Dec 2012 23:23:23 +0200

netperfmeter (1.2.4-1) quantal; urgency=low

  * New upstream version.
  * debian/control: added colorgcc as build dependency.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Sun, 15 Jul 2012 12:12:12 +0200

netperfmeter (1.2.3-1) precise; urgency=low

  * New upstream version.
  * Removed gcc-4.7 patch, since changes are included upstream now.
  * debian/control: update for debhelper 9.
  * debian/control: added libglib2.0-dev build dependency.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Sun, 01 Jul 2012 22:22:22 +0800

=== debian/control ===
Source: netperfmeter
Section: net
Priority: optional
Maintainer: Thomas Dreibholz <dreibh@iem.uni-due.de>
Homepage: https://www.uni-due.de/~be0001/netperfmeter/
Build-Depends: cmake,
               debhelper (>= 9),
               libbz2-dev (>= 1.0),
               libfile-fcntllock-perl,
               libsctp-dev (>= 1.0.5)
Standards-Version: 4.1.4

Package: pdfproctools
Architecture: all
Depends: ghostscript,
         libpdf-api2-perl,
         perl (>= 5.8.0),
         qpdf,
         ${misc:Depends},
         ${shlibs:Depends}
Description: PDF Processing Tools
 This package contains tools for PDF file processing.
 .
 PDFMetadata updates the metadata of a PDF file. In particular, it can be
 used to add outlines (bookmarks) to a document. Furthermore, it can set the
 document properties (e.g. author, title, keywords, creator, producer).
 .
 PDFEmbedFonts embeds all referenced fonts into a PDF file. Optionally, it
 can also linearize the PDF file for online publication
 ("fast web view", "optimized").

Package: netperfmeter-plotting
Architecture: all
Depends: pdfproctools,
         r-base,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Network Performance Meter (plotting program)
 NetPerfMeter is a network performance meter for the UDP,
 TCP, MPTCP, SCTP and DCCP transport protocols over IPv4 and IPv6.
 It simultaneously transmits bidirectional flows to an endpoint
 and measures the resulting flow bandwidths and QoS. The
 results are written as vector and scalar files. The vector
 files can e.g. be used to create plots of the results.
 .
 This package contains a plotting program for the results.

Package: netperfmeter
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: bc,
            iputils-ping,
            iputils-tracepath,
            netperfmeter-plotting,
            subnetcalc (>= 2.0.2),
            traceroute
Description: Network Performance Meter (measurement program)
 NetPerfMeter is a network performance meter for the UDP,
 TCP, MPTCP, SCTP and DCCP transport protocols over IPv4 and IPv6.
 It simultaneously transmits bidirectional flows to an endpoint
 and measures the resulting flow bandwidths and QoS. The
 results are written as vector and scalar files. The vector
 files can e.g. be used to create plots of the results.
 .
 This package contains the measurement program.

## netperfmeter 1.8.6~rc2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,31 +1,25 @@
-CMAKE_MINIMUM_REQUIRED(VERSION 2.6)
-PROJECT(netperfmeter)
-
-set(BUILD_MAJOR "1")
-set(BUILD_MINOR "8")
-set(BUILD_PATCH "0")
-set(BUILD_VERSION ${BUILD_MAJOR}.${BUILD_MINOR}.${BUILD_PATCH})
+CMAKE_MINIMUM_REQUIRED(VERSION 3.0.2)
+PROJECT(netperfmeter LANGUAGES C CXX)
+
+SET(BUILD_MAJOR "1")
+SET(BUILD_MINOR "8")
+SET(BUILD_PATCH "6~rc2")
+SET(BUILD_VERSION ${BUILD_MAJOR}.${BUILD_MINOR}.${BUILD_PATCH})
 
 
 #############################################################################
 # INSTALLATION_DIRECTORIES
 #############################################################################
 
-SET(CMAKE_INSTALL_BINDIR        "bin"       CACHE PATH "user executables [PREFIX/bin]")
-SET(CMAKE_INSTALL_SBINDIR       "sbin"      CACHE PATH "system admin executables [EPREFIX/sbin]")
-SET(CMAKE_INSTALL_DATADIR       "share"     CACHE PATH "read-only architecture-independent data [PREFIX/share]")
-SET(CMAKE_INSTALL_SYSCONFDIR    "etc"       CACHE PATH "read-only single-machine data [PREFIX/etc]")
-SET(CMAKE_INSTALL_LOCALSTATEDIR "var"       CACHE PATH "modifiable single-machine data [PREFIX/var]")
-SET(CMAKE_INSTALL_LIBDIR        "lib"       CACHE PATH "object code libraries [PREFIX/lib]")
-SET(CMAKE_INSTALL_INCLUDEDIR    "include"   CACHE PATH "read-only includes [PREFIX/include]")
-SET(CMAKE_INSTALL_MANDIR        "share/man" CACHE PATH "man documentation [PREFIX/share/man]")
+# See: https://cmake.org/cmake/help/v3.0/module/GNUInstallDirs.html
+INCLUDE(GNUInstallDirs)
 
 
 #############################################################################
 # PACKAGING
 #############################################################################
 
-SET(CPACK_SOURCE_GENERATOR "TGZ")
+SET(CPACK_SOURCE_GENERATOR "TXZ")
 SET(CPACK_SOURCE_PACKAGE_FILE_NAME
    "${CMAKE_PROJECT_NAME}-${BUILD_MAJOR}.${BUILD_MINOR}.${BUILD_PATCH}")
 SET(CPACK_SOURCE_IGNORE_FILES
@@ -37,6 +31,7 @@
 
 INCLUDE(CheckIncludeFile)
 INCLUDE(CheckStructHasMember)
+INCLUDE(CheckCCompilerFlag)
 
 
 #############################################################################
@@ -117,14 +112,6 @@
 
 OPTION(BUILD_TEST_PROGRAMS "Build test programs" 0)
 OPTION(BUILD_PLOT_PROGRAMS "Build plot programs" 0)
-
-# Debug build type as default
-IF (NOT CMAKE_BUILD_TYPE)
-    MESSAGE(STATUS "No build type selected, using DEBUG")
-    SET(CMAKE_BUILD_TYPE "DEBUG")
-    # _FORTIFY_SOURCE requires compiling with optimization
-    SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -O")
-ENDIF()
 
 
 #############################################################################
@@ -188,8 +175,8 @@
 
 
 # ###### IEEE Floating-Point ################################################
-include(CheckCSourceRuns)
-check_c_source_runs("
+INCLUDE(CheckCSourceRuns)
+CHECK_C_SOURCE_RUNS("
 #include <stdio.h>
 
 union DoubleIntUnion
@@ -224,6 +211,24 @@
 ENDIF()
 
 
+# ###### DCCP support #######################################################
+CHECK_C_SOURCE_RUNS("
+#include <stdio.h>
+#include <sys/socket.h>
+#include <netinet/in.h>
+
+int main (int argc, char** argv)
+{
+   volatile int proto = IPPROTO_DCCP;
+   return(0);
+}"
+HAVE_DCCP)
+
+IF (HAVE_DCCP)
+   ADD_DEFINITIONS(-DHAVE_DCCP)
+ENDIF()
+
+
 #############################################################################
 # COMPILER FLAGS
 #############################################################################
@@ -237,6 +242,12 @@
     SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -O")
 ENDIF()
 
+CHECK_C_COMPILER_FLAG(-Wno-address-of-packed-member HAS_WNO_ADDRESS_OF_PACKED_MEMBER)
+IF (HAS_WNO_ADDRESS_OF_PACKED_MEMBER)
+   SET(CMAKE_C_FLAGS   "${CMAKE_C_FLAGS}   -Wno-address-of-packed-member")
+   SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-address-of-packed-member")
+ENDIF()
+
 
 #############################################################################
 # SUBDIRECTORIES

=== debian/changelog ===
netperfmeter (1.8.6~rc2-1~bpo10+1) buster-backports; urgency=low

  * Backport of 1.8.6~rc2-1 (Closes: #950271).

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Mon, 17 Jan 2022 20:20:35 +0100

netperfmeter (1.8.6~rc2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.4.1.1.
  * debian/control: Updated standards version to 4.4.1.2.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Thu, 05 Dec 2019 14:26:58 +0100

netperfmeter (1.8.5-1) eoan; urgency=medium

  * New upstream release.
  * Renamed pdfmetadata to setpdfmetadata (Closes: #914333).
  * Added missing test script (Closes: #914336).

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Tue, 10 Sep 2019 14:46:09 +0300

netperfmeter (1.8.4-1) disco; urgency=medium

  * New upstream release.
  * Closes: #914333 (ITP).

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Wed, 07 Aug 2019 18:14:15 +0200

netperfmeter (1.8.3-1) disco; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Fri, 26 Jul 2019 12:08:26 +0200

netperfmeter (1.8.2-1) disco; urgency=medium

  * New upstream release
  * Renamed pdfmetadata to setpdfmetadata (Closes: #914333).

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Mon, 22 Jul 2019 09:59:56 +0200

netperfmeter (1.8.1-1) disco; urgency=medium

  * New upstream version.
  * debian/control: updated standards version.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Wed, 27 Feb 2019 08:08:08 +0800

netperfmeter (1.8.0-1) cosmic; urgency=low

  * New upstream version.
  * debian/control: updated standards version.
  * debian/copyright: updated.
  * debian/upstream/metadata: added metadata file.
  * debian/tests/control: added tests control file.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Wed, 17 Oct 2018 08:08:08 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,14 @@
 Priority: optional
 Maintainer: Thomas Dreibholz <dreibh@iem.uni-due.de>
 Homepage: https://www.uni-due.de/~be0001/netperfmeter/
-Build-Depends: cmake,
-               debhelper (>= 9),
+Build-Depends: cmake (>= 3.0.2) | cmake3,
+               debhelper (>= 12),
                libbz2-dev (>= 1.0),
                libfile-fcntllock-perl,
                libsctp-dev (>= 1.0.5)
-Standards-Version: 4.1.4
+Standards-Version: 4.4.1.2
+Vcs-Git: https://github.com/dreibh/netperfmeter.git
+Vcs-Browser: https://github.com/dreibh/netperfmeter
 
 Package: pdfproctools
 Architecture: all
@@ -21,7 +23,7 @@
 Description: PDF Processing Tools
  This package contains tools for PDF file processing.
  .
- PDFMetadata updates the metadata of a PDF file. In particular, it can be
+ SetPDFMetadata updates the metadata of a PDF file. In particular, it can be
  used to add outlines (bookmarks) to a document. Furthermore, it can set the
  document properties (e.g. author, title, keywords, creator, producer).
  .
@@ -50,6 +52,7 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Recommends: bc,
+            hipercontracer,
             iputils-ping,
             iputils-tracepath,
             netperfmeter-plotting,

## netperfmeter 1.9.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,9 +2,13 @@
 PROJECT(netperfmeter LANGUAGES C CXX)
 
 SET(BUILD_MAJOR "1")
-SET(BUILD_MINOR "8")
-SET(BUILD_PATCH "6~rc2")
+SET(BUILD_MINOR "9")
+SET(BUILD_PATCH "2")
 SET(BUILD_VERSION ${BUILD_MAJOR}.${BUILD_MINOR}.${BUILD_PATCH})
+
+SET(CMAKE_CXX_STANDARD 14)
+SET(CMAKE_CXX_STANDARD_REQUIRED ON)
+SET(CMAKE_CXX_EXTENSIONS OFF)
 
 
 #############################################################################
@@ -40,7 +44,6 @@
 
 IF (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
     MESSAGE(STATUS ${CMAKE_SYSTEM_NAME} " supported")
-    ADD_DEFINITIONS("-D_DEFAULT_SOURCE -DLINUX")
     ADD_DEFINITIONS("-DHAVE_MPTCP")   # Any better solution for this?
     FIND_LIBRARY(SCTP_LIB sctp)
 
@@ -49,27 +52,18 @@
     SET(CMAKE_REQUIRED_INCLUDES "/usr/local/include" "/usr/include")
     SET(CMAKE_LIBRARY_PATH "/usr/local/lib")
     INCLUDE_DIRECTORIES("/usr/local/include")
-    ADD_DEFINITIONS("-DFreeBSD")
 
 ELSEIF (${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
     MESSAGE(STATUS ${CMAKE_SYSTEM_NAME} " supported")
     SET(CMAKE_REQUIRED_INCLUDES "/usr/local/include" "/usr/include" "/usr/local/opt/openssl/include")
     SET(CMAKE_LIBRARY_PATH "/usr/local/lib")
     INCLUDE_DIRECTORIES("/usr/local/include" "/usr/local/opt/openssl/include")
-    ADD_DEFINITIONS("-DDARWIN")
 
 ELSEIF (${CMAKE_SYSTEM_NAME} MATCHES "NetBSD")
     MESSAGE(STATUS ${CMAKE_SYSTEM_NAME} " supported")
-    LIST(APPEND neat_headers neat_bsd.h)
-    LIST(APPEND neat_sources neat_bsd.c)
     SET(CMAKE_REQUIRED_INCLUDES "/usr/pkg/include" "/usr/include" "/usr/local/include")
     SET(CMAKE_LIBRARY_PATH "/usr/local/lib")
     INCLUDE_DIRECTORIES("/usr/pkg/include" "/usr/local/include")
-    ADD_DEFINITIONS("-DNetBSD")
-
-ELSEIF (${CMAKE_SYSTEM_NAME} MATCHES "NetBSD")
-    MESSAGE(STATUS ${CMAKE_SYSTEM_NAME} " supported")
-    ADD_DEFINITIONS("-DSOLARIS")
 
 ELSE()
     MESSAGE(FATAL_ERROR ${CMAKE_SYSTEM_NAME} " not supported (yet?)")
@@ -216,10 +210,13 @@
 #include <stdio.h>
 #include <sys/socket.h>
 #include <netinet/in.h>
+#include <linux/dccp.h>
 
 int main (int argc, char** argv)
 {
-   volatile int proto = IPPROTO_DCCP;
+   volatile int domain = IPPROTO_DCCP;
+   volatile int type   = SOCK_DCCP;
+   volatile int opt    = DCCP_SOCKOPT_SERVICE;
    return(0);
 }"
 HAVE_DCCP)
@@ -233,21 +230,49 @@
 # COMPILER FLAGS
 #############################################################################
 
-SET(CMAKE_C_FLAGS   "${CMAKE_C_FLAGS}   -Wall -Wno-unused-function -Wno-unused-parameter -Wno-overlength-strings -Wno-array-bounds")
-SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wno-unused-function -Wno-unused-parameter -Wno-overlength-strings -Wno-array-bounds")
-
-IF (CMAKE_BUILD_TYPE MATCHES DEBUG)
-    MESSAGE(STATUS "Building in DEBUG mode")
-    # _FORTIFY_SOURCE requires compiling with optimization
-    SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -O")
-ENDIF()
-
-CHECK_C_COMPILER_FLAG(-Wno-address-of-packed-member HAS_WNO_ADDRESS_OF_PACKED_MEMBER)
-IF (HAS_WNO_ADDRESS_OF_PACKED_MEMBER)
+SET(CMAKE_C_FLAGS   "${CMAKE_C_FLAGS}   -O2 -Wall")
+SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O2 -Wall")
+
+# ------ Check for "address-of-packed-member" -------------------------------
+CHECK_C_COMPILER_FLAG("-Waddress-of-packed-member -Werror" HAS_ADDRESS_OF_PACKED_MEMBER)
+IF (HAS_ADDRESS_OF_PACKED_MEMBER)
+   # Disable "address-of-packed-member" warning:
    SET(CMAKE_C_FLAGS   "${CMAKE_C_FLAGS}   -Wno-address-of-packed-member")
    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-address-of-packed-member")
 ENDIF()
 
+# ------ Check for "array-bounds" -------------------------------------------
+CHECK_C_COMPILER_FLAG("-Warray-bounds -Werror" HAS_ARRAY_BOUNDS)
+IF (HAS_ARRAY_BOUNDS)
+   # Disable "array-bounds" warning:
+   SET(CMAKE_C_FLAGS   "${CMAKE_C_FLAGS}   -Wno-array-bounds")
+   SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-array-bounds")
+ENDIF()
+
+# ------ Check for "overlength-strings" -------------------------------------
+CHECK_C_COMPILER_FLAG("-Woverlength-strings -Werror" HAS_OVERLENGTH_STRINGS)
+IF (HAS_OVERLENGTH_STRINGS)
+   # Disable "overlength-strings" warning:
+   SET(CMAKE_C_FLAGS   "${CMAKE_C_FLAGS}   -Wno-overlength-strings")
+   SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-overlength-strings")
+ENDIF()
+
+# ------ Check for "unused-function" ----------------------------------------
+CHECK_C_COMPILER_FLAG("-Wunused-function -Werror" HAS_UNUSED_FUNCTION)
+IF (HAS_UNUSED_FUNCTION)
+   # Disable "unused-function" warning:
+   SET(CMAKE_C_FLAGS   "${CMAKE_C_FLAGS}   -Wno-unused-function")
+   SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-unused-function")
+ENDIF()
+
+# ------ Check for "unused-parameter" ---------------------------------------
+CHECK_C_COMPILER_FLAG("-Wunused-parameter -Werror" HAS_UNUSED_PARAMETER)
+IF (HAS_UNUSED_PARAMETER)
+   # Disable "unused-parameter" warning:
+   SET(CMAKE_C_FLAGS   "${CMAKE_C_FLAGS}   -Wno-unused-parameter")
+   SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-unused-parameter")
+ENDIF()
+
 
 #############################################################################
 # SUBDIRECTORIES

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -42,11 +42,11 @@
 
 
 IF (BUILD_PLOT_PROGRAMS)
-   INSTALL(FILES plot-netperfmeter-results pdfmetadata pdfembedfonts
+   INSTALL(FILES plot-netperfmeter-results setpdfmetadata pdfembedfonts
            DESTINATION ${CMAKE_INSTALL_BINDIR})
    INSTALL(FILES plotter.R plot-netperfmeter-results.R
            DESTINATION ${CMAKE_INSTALL_DATADIR}/netperfmeter)
-   INSTALL(FILES plot-netperfmeter-results.1 pdfmetadata.1 pdfembedfonts.1
+   INSTALL(FILES plot-netperfmeter-results.1 setpdfmetadata.1 pdfembedfonts.1
            DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
 ENDIF()

=== debian/changelog ===
netperfmeter (1.9.2-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Sun, 07 Nov 2021 20:05:41 +0100

netperfmeter (1.9.1-1) unstable; urgency=medium

  * New upstream release (Closes: #997232).
  * debian/control: Updated standards version to 4.6.0.1.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Mon, 01 Nov 2021 09:53:15 +0100

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,13 @@
 Priority: optional
 Maintainer: Thomas Dreibholz <dreibh@iem.uni-due.de>
 Homepage: https://www.uni-due.de/~be0001/netperfmeter/
-Build-Depends: cmake (>= 3.0.2) | cmake3,
-               debhelper (>= 12),
+Build-Depends: cmake (>= 3.0.2),
+               debhelper-compat (= 13),
                libbz2-dev (>= 1.0),
                libfile-fcntllock-perl,
                libsctp-dev (>= 1.0.5)
-Standards-Version: 4.4.1.2
+Standards-Version: 4.6.0.1
+Rules-Requires-Root: no
 Vcs-Git: https://github.com/dreibh/netperfmeter.git
 Vcs-Browser: https://github.com/dreibh/netperfmeter

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://www.uni-due.de/~be0001/netperfmeter/index.html    download/netperfmeter-(.*)\.tar\.xz

## netperfmeter 1.9.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 SET(BUILD_MAJOR "1")
 SET(BUILD_MINOR "9")
-SET(BUILD_PATCH "2")
+SET(BUILD_PATCH "4")
 SET(BUILD_VERSION ${BUILD_MAJOR}.${BUILD_MINOR}.${BUILD_PATCH})
 
 SET(CMAKE_CXX_STANDARD 14)
@@ -12,7 +12,7 @@
 
 
 #############################################################################
-# INSTALLATION_DIRECTORIES
+#### INSTALLATION_DIRECTORIES                                            ####
 #############################################################################
 
 # See: https://cmake.org/cmake/help/v3.0/module/GNUInstallDirs.html
@@ -20,7 +20,7 @@
 
 
 #############################################################################
-# PACKAGING
+#### PACKAGING                                                           ####
 #############################################################################
 
 SET(CPACK_SOURCE_GENERATOR "TXZ")
@@ -39,7 +39,7 @@
 
 
 #############################################################################
-# OS DEPENDENT
+#### OS DEPENDENT                                                        ####
 #############################################################################
 
 IF (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
@@ -72,7 +72,7 @@
 
 
 #############################################################################
-# CHECK STRUCT MEMBERS
+#### CHECK STRUCT MEMBERS                                                ####
 #############################################################################
 
 CHECK_STRUCT_HAS_MEMBER("struct sockaddr" "sa_len" "sys/types.h;sys/socket.h" HAVE_SA_LEN)
@@ -101,7 +101,7 @@
 
 
 #############################################################################
-# CHECK OPTIONS
+#### CHECK OPTIONS                                                       ####
 #############################################################################
 
 OPTION(BUILD_TEST_PROGRAMS "Build test programs" 0)
@@ -109,7 +109,7 @@
 
 
 #############################################################################
-# REQUIREMENTS
+#### REQUIREMENTS                                                        ####
 #############################################################################
 
 # ###### Threads ############################################################
@@ -227,7 +227,7 @@
 
 
 #############################################################################
-# COMPILER FLAGS
+#### COMPILER FLAGS                                                      ####
 #############################################################################
 
 SET(CMAKE_C_FLAGS   "${CMAKE_C_FLAGS}   -O2 -Wall")
@@ -275,7 +275,7 @@
 
 
 #############################################################################
-# SUBDIRECTORIES
+#### SUBDIRECTORIES                                                      ####
 #############################################################################
 
 ADD_SUBDIRECTORY(src)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 SET(CMAKE_INCLUDE_CURRENT_DIR ON)
 
 #############################################################################
-# PROGRAMS
+#### PROGRAMS                                                            ####
 #############################################################################
 
 ADD_EXECUTABLE(netperfmeter

=== debian/changelog ===
netperfmeter (1.9.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.6.2.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Sun, 22 Jan 2023 22:39:48 +1100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,15 @@
 Source: netperfmeter
 Section: net
 Priority: optional
-Maintainer: Thomas Dreibholz <dreibh@iem.uni-due.de>
-Homepage: https://www.uni-due.de/~be0001/netperfmeter/
+Maintainer: Thomas Dreibholz <thomas.dreibholz@gmail.com>
+Homepage: https://www.nntb.no/~dreibh/netperfmeter/
 Build-Depends: cmake (>= 3.0.2),
                debhelper-compat (= 13),
                libbz2-dev (>= 1.0),
                libfile-fcntllock-perl,
                libsctp-dev (>= 1.0.5)
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Vcs-Git: https://github.com/dreibh/netperfmeter.git
-Vcs-Browser: https://github.com/dreibh/netperfmeter
 
 Package: pdfproctools
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

# export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- -DWITH_NEAT=0 -DBUILD_TEST_PROGRAMS=1 -DBUILD_PLOT_PROGRAMS=1

# Use upstream ChangeLog for installation
override_dh_installchangelogs:
	dh_installchangelogs -k ChangeLog

## netperfmeter 1.9.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
-CMAKE_MINIMUM_REQUIRED(VERSION 3.0.2)
+CMAKE_MINIMUM_REQUIRED(VERSION 3.10)
 PROJECT(netperfmeter LANGUAGES C CXX)
 
 SET(BUILD_MAJOR "1")
 SET(BUILD_MINOR "9")
-SET(BUILD_PATCH "4")
+SET(BUILD_PATCH "6")
 SET(BUILD_VERSION ${BUILD_MAJOR}.${BUILD_MINOR}.${BUILD_PATCH})
 
 SET(CMAKE_CXX_STANDARD 14)

=== debian/changelog ===
netperfmeter (1.9.6-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Mon, 18 Dec 2023 13:16:28 +0100

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,9 @@
 Priority: optional
 Maintainer: Thomas Dreibholz <thomas.dreibholz@gmail.com>
 Homepage: https://www.nntb.no/~dreibh/netperfmeter/
-Build-Depends: cmake (>= 3.0.2),
+Build-Depends: cmake,
                debhelper-compat (= 13),
-               libbz2-dev (>= 1.0),
-               libfile-fcntllock-perl,
+               libbz2-dev,
                libsctp-dev (>= 1.0.5)
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
@@ -55,7 +54,7 @@
             iputils-ping,
             iputils-tracepath,
             netperfmeter-plotting,
-            subnetcalc (>= 2.0.2),
+            subnetcalc,
             traceroute
 Description: Network Performance Meter (measurement program)
  NetPerfMeter is a network performance meter for the UDP,

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://www.nntb.no/~dreibh/netperfmeter/index.html    download/netperfmeter-(.*)\.tar\.xz
